/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfileconfig
#define headerfileconfig


#include "../confparser/confparser.h"
#include "error.h"
#include "data.h"
#include "log.h"

#include <string>


class Config
{

public:
	Config();
	bool ReadConfig(bool errors_to_stdout_);





private:
	ConfParser conf_parser;
	void ShowError();
	void AssignValues();
	
	
	std::string & Text(const char *);
	int Int(const char *);
	bool Bool(const char *);

	std::string default_str;
	int default_int;
	bool default_bool;
	
	
	bool errors_to_stdout;
	
	void NoLastSlash(std::string & s);
	
};


#endif
