/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilerequestcontroller
#define headerfilerequestcontroller

#include <unistd.h>
#include <sys/stat.h>
#include <iostream>
#include <sys/types.h>
#include <pwd.h>
#include <grp.h>
#include <errno.h>

#include "data.h"
#include "log.h"
#include "request.h"
#include "../content/content.h"
#include "sessionmanager.h"
#include "postparser.h"
#include "cookieparser.h"


class RequestController
{
	Content content;
	SessionManager session_manager;
	
	bool BaseUrlRedirect();
	
	FunctionParser function_parser;

public:

	RequestController();
	~RequestController();
	
	bool Init();
	void Close();
	void Loop();

};


#endif
